org.firebirdsql.jdbc

## Class FBBlob.Config

- java.lang.Object
- - org.firebirdsql.jdbc.FBBlob.Config

- All Implemented Interfaces:
    BlobConfig
  Enclosing class:
    FBBlob

      @InternalApi
      public static final class FBBlob.Config
      extends java.lang.Object
      implements BlobConfig

  Standard configuration for blobs.
  Since:
    5

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `blobBufferSize()`
    `java.io.Reader` | `createReader(java.io.InputStream inputStream)`
    `java.io.Writer` | `createWriter(java.io.OutputStream outputStream)`
    `void` | `writeInputConfig(BlobParameterBuffer blobParameterBuffer)` Writes out the configuration for an input blob for an `open` operation (reading a blob).
    `void` | `writeOutputConfig(BlobParameterBuffer blobParameterBuffer)` Writes out the configuration for an output blob for a `create` operation (writing a blob).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### blobBufferSize

          public int blobBufferSize()

    - #### createReader

          public java.io.Reader createReader(java.io.InputStream inputStream)

    - #### createWriter

          public java.io.Writer createWriter(java.io.OutputStream outputStream)

    - #### writeOutputConfig

          public void writeOutputConfig(BlobParameterBuffer blobParameterBuffer)

      Description copied from interface: `BlobConfig`
      Writes out the configuration for an output blob for a `create` operation (writing a blob).
      Specified by:
        `writeOutputConfig` in interface `BlobConfig`
      Parameters:
        `blobParameterBuffer` - a blob parameter buffer to be configured by this instance (implementations can assume it is empty)

    - #### writeInputConfig

          public void writeInputConfig(BlobParameterBuffer blobParameterBuffer)

      Description copied from interface: `BlobConfig`
      Writes out the configuration for an input blob for an `open` operation (reading a blob).
      Specified by:
        `writeInputConfig` in interface `BlobConfig`
      Parameters:
        `blobParameterBuffer` - a blob parameter buffer to be configured by this instance (implementations can assume it is empty)

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.